%define lib_major 1
%define lib_name %mklibname %{name} %{lib_major}
%define build_shared	1

Summary:	FlashPIX OpenSource Toolkit
Name:		fpx
Version:	1.2.0.13
Release: 	%mkrel 1
License:	distributable (see COPYING)
Group:		System/Libraries
Source0:	ftp://ftp.imagemagick.org/pub/ImageMagick/delegates/libfpx-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
This package contains the FlashPIX OpenSource Toolkit and is based on
source code obtained from the Digital Imaging Group Inc.
(http://www.digitalimaging.org).

%if %{build_shared}
%package -n %{lib_name}
Summary: A library manipulating Flashpix image files
Group: System/Libraries
Provides: lib%{name}

%description -n %{lib_name}
This package contains the library needed to run programs dynamically
linked with libfpx.

%endif

%package -n %{lib_name}-devel
Summary:	Development tools for programs using the libfpx library
Group:		Development/C
%if %{build_shared}
Requires:	%{lib_name} = %{version}
%endif
Provides:	lib%{name}-devel

%description -n %{lib_name}-devel
The libfpx-devel package includes the header files and static
libraries necessary for developing programs which will manipulate
FlashPIX files using the libfpx library.

If you are going to develop programs which will manipulate FlashPIX
images, you should install libfpx-devel.

%prep
%setup -q -n libfpx-%{version}

%build
%configure2_5x \
%if %{build_shared}
	   --enable-shared \
%else
	   --disable-shared \
%endif
	   --enable-static
%make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%if %{build_shared}
%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{build_shared}
%files -n %{lib_name}
%defattr(-,root,root)
%doc COPYING README NEWS ChangeLog AUTHORS
%{_libdir}/lib*.so.%{lib_major}*
%endif

%files -n %{lib_name}-devel
%defattr(-,root,root,755)
%doc COPYING README NEWS ChangeLog AUTHORS doc
%{_libdir}/*.a
%{_libdir}/*.la
%if %{build_shared}
%{_libdir}/*.so
%endif
%{_includedir}/*

%changelog
* Thu Sep 24 2009 Texstar <texstar at gmail.com> 1.2.0.13-1pclos2009
- import from plf

